Package net.sf.saxon.tree.iter

## Class ListIterator.OfNodes

- java.lang.Object
- - net.sf.saxon.tree.iter.ListIterator<NodeInfo>
  - - net.sf.saxon.tree.iter.ListIterator.OfNodes

- All Implemented Interfaces:
    `java.io.Closeable`, `java.lang.AutoCloseable`, `LastPositionFinder`, `SequenceIterator`, `AxisIterator`, `GroundedIterator`, `LookaheadIterator`, `ReversibleIterator`, `UnfailingIterator`
  Enclosing class:
    ListIterator<T extends Item>

      public static class ListIterator.OfNodes
      extends ListIterator<NodeInfo>
      implements AxisIterator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.tree.iter.ListIterator

      `ListIterator.Atomic, ListIterator.OfNodes`

    - ### Nested classes/interfaces inherited from interface net.sf.saxon.om.SequenceIterator

      `SequenceIterator.Property`

  - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.tree.iter.ListIterator

      `list`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OfNodes​(java.util.List<NodeInfo> list)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NodeInfo` | `next()` | Get the next item in the sequence.

    - ### Methods inherited from class net.sf.saxon.tree.iter.ListIterator

      `getLength, getProperties, getResidue, getReverseIterator, hasNext, materialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.tree.iter.AxisIterator

      `asIterator, forEachNode`

    - ### Methods inherited from interface net.sf.saxon.om.SequenceIterator

      `close, forEachOrFail, getProperties`

    - ### Methods inherited from interface net.sf.saxon.tree.iter.UnfailingIterator

      `forEach, toList`

- - ### Constructor Detail

    - #### OfNodes

          public OfNodes​(java.util.List<NodeInfo> list)

  - ### Method Detail

    - #### next

          public NodeInfo next()

      Description copied from interface: `UnfailingIterator`
      Get the next item in the sequence.
      Specified by:
        `next` in interface `AxisIterator`
      Specified by:
        `next` in interface `SequenceIterator`
      Specified by:
        `next` in interface `UnfailingIterator`
      Overrides:
        `next` in class `ListIterator<NodeInfo>`
      Returns:
        the next Item. If there are no more items, return null.